.tree ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
    position: relative;
}

.tree li {
    list-style-type: none;
    border-left: 2px solid #000;
    margin-left: 1em;
}

.tree li div {
    padding-left: 1em;
    position: relative;
    color: darkslategray;
    font-size: 12px;
}

.tree li div::before {
    content:'';
    position: absolute;
    top: 0;
    left: -2px;
    bottom: 50%;
    width: 0.75em;
    border: 2px solid #000;
    border-top: 0 none transparent;
    border-right: 0 none transparent;
}

.tree ul > li:last-child {
    border-left: 2px solid transparent;
}

.scrollmenu {
    background-color: #ffffff;
    overflow: auto;
    white-space: nowrap;
}
  